﻿Class MainWindow
    Dim RCData(50, 10) As String '2次元配列を定義

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim i, j As Integer 'カウント変数定義
        'OpenFileDialogを開く
        If myControl.OpenFileDialog1.ShowDialog() = Forms.DialogResult.OK Then
            '変数MyReaderをTextFieldParser型で生成
            Using MyReader As New Microsoft.VisualBasic.FileIO.TextFieldParser(myControl.OpenFileDialog1.FileName)
                'TextFieldTypeをフィールドが区切り形式に設定
                MyReader.TextFieldType = FileIO.FieldType.Delimited
                MyReader.SetDelimiters(vbTab)   '区切り記号をタブに設定
                Dim currentRow As String()      '変数currentRowを文字型1次元配列で生成
                i = 0                           'i=0をセット
                While Not MyReader.EndOfData    'MyReaderのデータがエンドになるまで繰り返し
                    Try                         '通常処理
                        currentRow = MyReader.ReadFields()  '現在行を読み込んで文字列の配列として返します
                        Dim currentField As String          '変数currentFieldをString型で生成
                        j = 0                               'j=0をセット
                        For Each currentField In currentRow 'currentFieldをcurrentRowの範囲で繰り返し
                            RCData(i, j) = currentField     '2次元配列にcurrentFieldをセット
                            If j < 9 Then j = j + 1 '2次元配列の列数制限
                        Next
                    Catch ex As Microsoft.VisualBasic.FileIO.MalformedLineException 'エラー時処理
                        MsgBox("Line " & ex.Message & "is not valid and will be skipped.")
                    End Try
                    If i < 49 Then i = i + 1 '2次元配列の列数制限
                End While                       '繰り返しエンド点
            End Using
            Dim OutText As String = ""          '変数OutTextをString型で生成
            For i = 0 To 49                     '繰り返し
                For j = 0 To 9                   '繰り返し
                    OutText = OutText & RCData(i, j) & " , "    'OutTextに2次元配列要素を加算
                Next j
                OutText = OutText & vbCrLf                      'OutTextに改行を加算
            Next i
            'SaveFileDialogを開く
            If myControl.SaveFileDialog1.ShowDialog() = Forms.DialogResult.OK Then
                'OutTextの内容をファイルに出力
                My.Computer.FileSystem.WriteAllText(myControl.SaveFileDialog1.FileName, OutText, append:=False)
            End If
        End If
    End Sub
End Class
